Package org.apache.tapestry5.ioc.internal

# Class AbstractServiceCreator

java.lang.Object
org.apache.tapestry5.ioc.internal.AbstractServiceCreator

All Implemented Interfaces:
  `ObjectCreator`

Direct Known Subclasses:
  `ConstructorServiceCreator`, `ServiceBuilderMethodInvoker`

public abstract class AbstractServiceCreator extends Object implements ObjectCreator
Abstract implementation of `ObjectCreator` geared towards the creation of the core service implementation, either by invoking a service builder method on a module, or by invoking a constructor.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final String`
  `creatorDescription`
  `protected final org.slf4j.Logger`
  `logger`
  `protected final ServiceBuilderResources`
  `resources`
  `protected final String`
  `serviceId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractServiceCreator(ServiceBuilderResources resources, String creatorDescription)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final InjectionResources`
  `createInjectionResources()`
  Returns a map (based on injectionResources) that includes (possibly) an additional mapping containing the collected configuration data.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.tapestry5.commons.ObjectCreator

  `createObject`

- ## Field Details

  - ### serviceId

    protected final String serviceId

  - ### resources

    protected final ServiceBuilderResources resources

  - ### logger

    protected final org.slf4j.Logger logger

  - ### creatorDescription

    protected final String creatorDescription

- ## Constructor Details

  - ### AbstractServiceCreator

    public AbstractServiceCreator(ServiceBuilderResources resources, String creatorDescription)

- ## Method Details

  - ### createInjectionResources

    protected final InjectionResources createInjectionResources()
    Returns a map (based on injectionResources) that includes (possibly) an additional mapping containing the collected configuration data. This involves scanning the parameters and generic types.